Count Traces
curl --request POST \
--url https://api.galileo.ai/v2/projects/{project_id}/traces/count \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"filters": [
{
"case_sensitive": true,
"name": "input",
"operator": "eq",
"type": "text",
"value": "example input"
}
],
"log_stream_id": "74aec44e-ec21-4c9f-a3e2-b2ab2b81b4db"
}
'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/traces/count"
payload = {
"filters": [
{
"case_sensitive": True,
"name": "input",
"operator": "eq",
"type": "text",
"value": "example input"
}
],
"log_stream_id": "74aec44e-ec21-4c9f-a3e2-b2ab2b81b4db"
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [
{
case_sensitive: true,
name: 'input',
operator: 'eq',
type: 'text',
value: 'example input'
}
],
log_stream_id: '74aec44e-ec21-4c9f-a3e2-b2ab2b81b4db'
})
};
fetch('https://api.galileo.ai/v2/projects/{project_id}/traces/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}trace
Count Traces
This endpoint may return a slightly inaccurate count due to the way records are filtered before deduplication.
POST
/
v2
/
projects
/
{project_id}
/
traces
/
count
Count Traces
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Body
application/json
Log stream id associated with the traces.
Experiment id associated with the traces.
Metrics testing id associated with the traces.
filters
(LogRecordsIDFilter · object | LogRecordsDateFilter · object | LogRecordsNumberFilter · object | LogRecordsBooleanFilter · object | LogRecordsCollectionFilter · object | LogRecordsTextFilter · object | LogRecordsFullyAnnotatedFilter · object)[]
- LogRecordsIDFilter
- LogRecordsDateFilter
- LogRecordsNumberFilter
- LogRecordsBooleanFilter
- LogRecordsCollectionFilter
- LogRecordsTextFilter
- LogRecordsFullyAnnotatedFilter
Show child attributes
Show child attributes
filter_tree
FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]] · object
- FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- AndNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- OrNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- NotNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
Show child attributes
Show child attributes
Response
Successful Response
Total number of records matching the query
Was this page helpful?
⌘I